Skip to main content
GET
/
api
/
v1
/
addons
List add-ons
curl --request GET \
  --url https://api.example.com/api/v1/addons \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "price_id": "<string>",
      "product_id": "<string>",
      "self_serviceable": true,
      "archived_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "fee_type": "RATE",
      "max_instances_per_subscription": 123
    }
  ],
  "pagination_meta": {
    "page": 1,
    "per_page": 1,
    "total_items": 1,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

currency
string
include_archived
boolean

Include archived add-ons in the results (default: false)

page
integer<int32>

Page number (0-indexed)

Required range: x >= 0
per_page
integer<int32>

Number of items per page

Required range: 1 <= x <= 100

Response

List of add-ons

data
object[]
required
pagination_meta
object
required